Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.lowagie.text.pdf
Class PageResources

    java.lang.Object
      com.lowagie.text.pdf.PageResources

     class PageResources

extends Object

Field Summary
`protected PdfDictionary` | `colorDictionary`
`protected PdfDictionary` | `extGStateDictionary`
`protected PdfDictionary` | `fontDictionary`
`protected HashMap` | `forbiddenNames`
`protected int[]` | `namePtr`
`protected PdfDictionary` | `originalResources`
`protected PdfDictionary` | `patternDictionary`
`protected PdfDictionary` | `propertyDictionary`
`protected PdfDictionary` | `shadingDictionary`
`protected HashMap` | `usedNames`
`protected PdfDictionary` | `xObjectDictionary`

Constructor Summary
`PageResources()`

Method Summary
`(package private) PdfName` | `addColor(PdfName name, PdfIndirectReference reference)`
`(package private) void` | `addDefaultColor(PdfDictionary dic)`
`(package private) void` | `addDefaultColor(PdfName name, PdfObject obj)`
`(package private) void` | `addDefaultColorDiff(PdfDictionary dic)`
`(package private) PdfName` | `addExtGState(PdfName name, PdfIndirectReference reference)`
`(package private) PdfName` | `addFont(PdfName name, PdfIndirectReference reference)`
`(package private) PdfName` | `addPattern(PdfName name, PdfIndirectReference reference)`
`(package private) PdfName` | `addProperty(PdfName name, PdfIndirectReference reference)`
`(package private) PdfName` | `addShading(PdfName name, PdfIndirectReference reference)`
`(package private) PdfName` | `addXObject(PdfName name, PdfIndirectReference reference)`
`(package private) PdfDictionary` | `getResources()`
`(package private) boolean` | `hasResources()`
`(package private) void` | `setOriginalResources(PdfDictionary resources, int[] newNamePtr)`
`(package private) PdfName` | `translateName(PdfName name)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### fontDictionary

    protected PdfDictionary fontDictionary

### xObjectDictionary

    protected PdfDictionary xObjectDictionary

### colorDictionary

    protected PdfDictionary colorDictionary

### patternDictionary

    protected PdfDictionary patternDictionary

### shadingDictionary

    protected PdfDictionary shadingDictionary

### extGStateDictionary

    protected PdfDictionary extGStateDictionary

### propertyDictionary

    protected PdfDictionary propertyDictionary

### forbiddenNames

    protected HashMap forbiddenNames

### originalResources

    protected PdfDictionary originalResources

### namePtr

    protected int[] namePtr

### usedNames

    protected HashMap usedNames

Constructor Detail

### PageResources

    PageResources()

Method Detail

### setOriginalResources

    void setOriginalResources(PdfDictionary resources,
                              int[] newNamePtr)

### translateName

    PdfName translateName(PdfName name)

### addFont

    PdfName addFont(PdfName name,
                    PdfIndirectReference reference)

### addXObject

    PdfName addXObject(PdfName name,
                       PdfIndirectReference reference)

### addColor

    PdfName addColor(PdfName name,
                     PdfIndirectReference reference)

### addDefaultColor

    void addDefaultColor(PdfName name,
                         PdfObject obj)

### addDefaultColor

    void addDefaultColor(PdfDictionary dic)

### addDefaultColorDiff

    void addDefaultColorDiff(PdfDictionary dic)

### addShading

    PdfName addShading(PdfName name,
                       PdfIndirectReference reference)

### addPattern

    PdfName addPattern(PdfName name,
                       PdfIndirectReference reference)

### addExtGState

    PdfName addExtGState(PdfName name,
                         PdfIndirectReference reference)

### addProperty

    PdfName addProperty(PdfName name,
                        PdfIndirectReference reference)

### getResources

    PdfDictionary getResources()

### hasResources

    boolean hasResources()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD